seahub启动失败,新情况,求大神指教。


#1

root@raspberrypi:/home/pi/yunpan/seafile-server-7.1.5# ./seahub.sh start-fastcgi

Starting seahub (fastcgi) at 127.0.0.1:8000 …

Traceback (most recent call last):

File “/home/pi/yunpan/seafile-server-7.1.5/seahub/seahub/avatar/models.py”, line 23, in <module>

from PIL import Image

File “/home/pi/yunpan/seafile-server-7.1.5/seahub/thirdpart/PIL/Image.py”, line 94, in <module>

from . import _imaging as core

ImportError: cannot import name ‘_imaging’ from ‘PIL’ (/home/pi/yunpan/seafile-server-7.1.5/seahub/thirdpart/PIL/init.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “/home/pi/yunpan/seafile-server-7.1.5/seahub/manage.py”, line 10, in <module>

execute_from_command_line(sys.argv)

File “/home/pi/yunpan/seafile-server-7.1.5/seahub/thirdpart/django/core/management/init.py”, line 364, in execute_from_command_line

utility.execute()

File “/home/pi/yunpan/seafile-server-7.1.5/seahub/thirdpart/django/core/management/init.py”, line 338, in execute

django.setup()

File “/home/pi/yunpan/seafile-server-7.1.5/seahub/thirdpart/django/init.py”, line 27, in setup

apps.populate(settings.INSTALLED_APPS)

File “/home/pi/yunpan/seafile-server-7.1.5/seahub/thirdpart/django/apps/registry.py”, line 108, in populate

app_config.import_models()

File “/home/pi/yunpan/seafile-server-7.1.5/seahub/thirdpart/django/apps/config.py”, line 202, in import_models

self.models_module = import_module(models_module_name)

File “/usr/lib/python3.7/importlib/init.py”, line 127, in import_module

return _bootstrap._gcd_import(name[level:], package, level)

File “<frozen importlib._bootstrap>”, line 1006, in _gcd_import

File “<frozen importlib._bootstrap>”, line 983, in _find_and_load

File “<frozen importlib._bootstrap>”, line 967, in _find_and_load_unlocked

File “<frozen importlib._bootstrap>”, line 677, in _load_unlocked

File “<frozen importlib._bootstrap_external>”, line 728, in exec_module

File “<frozen importlib._bootstrap>”, line 219, in _call_with_frames_removed

File “/home/pi/yunpan/seafile-server-7.1.5/seahub/seahub/avatar/models.py”, line 26, in <module>

import Image

ModuleNotFoundError: No module named ‘Image’

Error:Seahub failed to start.


#2

pip3 install Pillow